%global __brp_check_rpaths %{nil}
%global packname  ivdesign
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Hypothesis Testing in Cluster-Randomized Encouragement Designs

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-stats 
Requires:         R-stats 

%description
An implementation of randomization-based hypothesis testing for three
different estimands in a cluster-randomized encouragement experiment. The
three estimands include (1) testing a cluster-level constant proportional
treatment effect (Fisher's sharp null hypothesis), (2) pooled effect
ratio, and (3) average cluster effect ratio. To test the third estimand,
user needs to install 'Gurobi' (>= 9.0.1) optimizer via its R API. Please
refer to
<https://www.gurobi.com/documentation/9.0/refman/ins_the_r_package.html>.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
